curl --request POST \
--url https://www.citedy.com/api/agent/autopilot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"topic": "<string>",
"source_urls": [
"<string>"
],
"language": "en",
"size": "standard",
"mode": "standard",
"enable_search": false,
"persona": "<string>",
"illustrations": false,
"audio": false,
"disable_competition": false,
"wait_for_completion": true,
"auto_publish": true
}
'import requests
url = "https://www.citedy.com/api/agent/autopilot"
payload = {
"topic": "<string>",
"source_urls": ["<string>"],
"language": "en",
"size": "standard",
"mode": "standard",
"enable_search": False,
"persona": "<string>",
"illustrations": False,
"audio": False,
"disable_competition": False,
"wait_for_completion": True,
"auto_publish": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
topic: '<string>',
source_urls: ['<string>'],
language: 'en',
size: 'standard',
mode: 'standard',
enable_search: false,
persona: '<string>',
illustrations: false,
audio: false,
disable_competition: false,
wait_for_completion: true,
auto_publish: true
})
};
fetch('https://www.citedy.com/api/agent/autopilot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "<string>",
"slug": "<string>",
"status": "publishing",
"word_count": 123,
"credits_used": 123,
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"article_url": "<string>",
"mode": "<string>",
"estimated_total_credits": 123,
"extensions": {},
"extraction_results": [
{}
]
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"queued": true,
"message": "<string>",
"topic": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"credits_required": 123,
"topup": {
"recommended_package_credits": 123,
"recommended_package_price_usd": 123,
"topup_url": "<string>"
},
"message": "<string>",
"breakdown": {}
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Generate article
Generate an article from a topic or source URLs. Returns status ‘publishing’ when auto_publish is true (default) or ‘generated’ when auto_publish is false (draft mode). The final ‘published’ status is reflected in GET /api/agent/articles/ after the publish pipeline completes.
Authorizations
Bearer citedy_agent_* key
Body
- Option 1
- Option 2
1 - 5001 - 3 elementsmini, standard, full, pillar standard, turbo 100Wait synchronously for article completion before returning. When false, returns 202 with a job ID for polling via GET /api/agent/articles/{id}.
Publish article immediately after generation. When false, article stays as draft (status=generated). Uses tenant setting when omitted.
Response
Article generated
publishing — article generation complete, publish pipeline triggered (will be live within seconds). generated — draft article, not yet published (use article.publish to make it live).
publishing, generated URL where the article will be accessible once published. For draft articles (auto_publish: false), this URL will return 404 until the article is published.
